function y = f2(theta)
	a =  load("input_outlab_task_A2.txt");	%Taking inpuut from the file
	x0 = a(1);
	y0 = a(2);
	x1 = a(3);
	y1 = a(4);								%Initialising each physical variable
	v2 = a(5);
	vl = a(6);
	d = a(7);
	w = a(8);
	n = a(9);
	t1 = a(10);

	%theta(1) = angle to be found,theta(2)  = refraction angle,theta(3) = time to reach destination after t1,theta(4) = xf,theta(5) = yf
	y = zeros(5,1);							%System of non-linear physical equations
	y(1)=sin(theta(1))-n*sin(theta(2));		%Snell's Law
	y(2)=x1-tan(theta(1))*(y1-w-d)-tan(theta(2))*w - tan(theta(1))*(d+v2*t1+v2*theta(3));	%Laser travels x1 in time t
	y(3)=(y1-w-d)/cos(theta(1)) + w*n/cos(theta(2)) + (d+v2*t1+v2*theta(3))/cos(theta(1)) - vl*theta(3);	%Distance travelled in time t
	y(4)=x1-theta(4);	%To output xf
	y(5)=y1+v2*t1+v2*theta(3)-theta(5);	%To output yf
end

