%Outlab 1 : Task B1 - solving lights out! puzzle mathematically for 3x3 matrix
function x = backward_solve_3(b)
	%toggle matrix for 3x3 board
	A = [1 1 0 1 0 0 0 0 0; 1 1 1 0 1 0 0 0 0; 0 1 1 0 0 1 0 0 0; 1 0 0 1 1 0 1 0 0; 0 1 0 1 1 1 0 1 0; 0 0 1 0 1 1 0 0 1; 0 0 0 1 0 0 1 1 0; 0 0 0 0 1 0 1 1 1; 0 0 0 0 0 1 0 1 1];
	
	%reshaping b to a column matrix
	b = b';
	b = reshape(b,9,1);				  
	
	%solving Ax + b = 0 in mod 2
	x = inv(A)*b*det(A);			%determinant is multiplied as matrix inverse in mod 2  or GF(2) (Galois field) 
										%is normal inverse*determinant 
	x = reshape(x,3,3);
	x = int64(x);					%so as to solve precision problems - changing the data type
	x = mod(x',2);
end	